%global __requires_exclude	^libcrypto\.so\..*\\(OPENSSL.*\\)|libssl\.so\..*\\(OPENSSL.*\\)
%global __provides_exclude_from	^(%{_libdir}/%{name}/native/.*\\.so|%{_javadir}/%{name}/.*)$
%define buildversion	5550

Name:     jitsi
Version:  2.10.%{buildversion}
Release:  %mkrel 1
Summary:  Jitsi - Open Source Video Calls and Chat
Summary(de): Jitsi - Open Source Anrufe und Chat
Group:     Communications
License:   GNU Lesser General Public License
URL:       http://www.jitsi.org
Source0:   %name-src-%{version}.tar.xz
Patch0:		jitsi-2.9-mga-fix_bin_file_path.patch
Patch1:		jitsi-2.9-mga-fix_man_file_package-name.patch
Patch2:		jitsi-2.9-mga-fix_desktop_file_package-name.patch
BuildRequires: java-1.8.0-sun-devel
BuildRequires: apache-ant
BuildRequires: gzip
BuildRequires: git
Requires: task-java

%description
Jitsi is an audio/video Internet phone and instant messenger that
supports some of the most popular instant messaging and telephony protocols
such as SIP, Jabber, AIM/ICQ, MSN, Yahoo! Messenger, Bonjour, RSS and
counting. Jitsi is completely Open Source / Free Software, and is
freely available under the terms of the GNU Lesser General Public License.

%description -l de
Jitsi ist ein Audio-/Video- Internettelefon und Sofortnachrichtenklient, der
einige der meist bekannten Protokolle unterstützt, wie SIP, Jabber, AIM/ICQ,
MSN, Yahoo! Messenger, Bonjure, RSS und counting. Jitsi ist komplett Open Source/ Freie Software
und ist frei verfügbar unter der GNU Lesser General Public License.

%prep
%setup -qn %{name}-src-%{version}
%apply_patches

%build
ant -Dlabel=build.%{buildversion} rebuild

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_javadir}/%{name}/lib/bundle
mkdir -p %{buildroot}%{_javadir}/%{name}/sc-bundles
mkdir -p %{buildroot}%{_libdir}/%{name}/native

# copy the documentation
cp -pr resources/install/debian/jitsi.1.tmpl %{buildroot}%{_mandir}/man1/%{name}.1
gzip %{buildroot}%{_mandir}/man1/%{name}.1

# copy the launcher script
install -m 755 resources/install/debian/jitsi.sh.tmpl %{buildroot}%{_bindir}/%{name}

# copy the menu icons
cp -pr resources/install/debian/jitsi-32.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-32.xpm
cp -pr resources/install/debian/jitsi-16.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-16.xpm
cp -pr resources/install/debian/jitsi.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# copy the menu entry
cp -pr resources/install/debian/jitsi.desktop.tmpl %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--set-icon=%{name} \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# copy the sc-bundles
cp -pr sc-bundles/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/
# remove all slicks
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/*-slick.jar
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/slick*.jar

# copy the os-specific sc-bundles
cp -pr sc-bundles/os-specific/linux/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/

# copy the lib jars
cp -pr lib/*.jar %{buildroot}%{_javadir}/%{name}/lib/
cp -pr lib/bundle/* %{buildroot}%{_javadir}/%{name}/lib/bundle/
rm -rf %{buildroot}%{_javadir}/%{name}/lib/bundle/junit.jar

# copy the native libs
cp -pr lib/native/linux-64/* %{buildroot}%{_libdir}/%{name}/native/

# copy the resources
cp -pr resources/install/logging.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/felix.client.run.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/jitsi-defaults.properties %{buildroot}%{_libdir}/%{name}/
cp -pr resources/install/resources/splash.gif %{buildroot}%{_javadir}/%{name}/

if [ -f lib/jitsi-default-overrides.properties ]
	then
	cp -pr lib/jitsi-default-overrides.properties %{buildroot}%{_libdir}/%{name}/
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root)
%doc LICENSE README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.svg
%{_mandir}/man1/%{name}.1.bz2

%changelog
* Fri Feb 24 2017 pp <pp> 2.10.5550-1pclos2017
- update

* Fri Feb 20 2015 ghostbunny <ghostbunny at gmx dot de > 2.6-1pclos2015
- 2.6
- recreate patch just the modification of the LD_LIBRARY_PATH is still necessary

* Sun Jul 07 2013 ghostbunny <ghostbunny at gmx dot de > 2.2-1pclos2013
- 2.2

* Mon Mar 25 2013 pinoc <vogtpet at gmail.com> 2.0-2pclos2013
- fixed BR

* Wed Mar 13 2013 Ken <lxgator at gmail.com> 2.0-1pclos2013
- 2.0

* Mon Apr 09 2012 Neal <nealbrks0 at gmail.com> 1.0-3pclos2012
- process

* Mon Apr 09 2012 ghostbunny <ghostbunny at gmx dot de > 1.0-3pclos2012
- update to stable build 3967
- added german summary and description

* Tue Nov 29 2011 MBantz <martin dot bantz at gmail dot com> jitsi-1.0-2
- Update to build 3768

* Sun May 29 2011 MBantz <martin dot bantz at gmail dot com> jitsi-1.0-1
- Adapted to PCLinux from tankov_pavel at yahoo dot com

